Bug 1258174 - [abrt] gpart: disk_geometry(): gpart killed by SIGFPE
[abrt] gpart: disk_geometry(): gpart killed by SIGFPE
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gpart (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1ea2d46e4ba2a7b2f36d2e51c80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 17:52 EDT by Matt Hooper
Modified: 2016-02-10 09:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:37:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.95 KB, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: cgroup (180 bytes, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: core_backtrace (691 bytes, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: dso_list (302 bytes, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: environ (2.17 KB, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: maps (1.88 KB, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: open_fds (185 bytes, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details
File: proc_pid_status (908 bytes, text/plain)
2015-08-29 17:52 EDT, Matt Hooper
no flags Details

  None (edit)
Description Matt Hooper 2015-08-29 17:52:45 EDT
Description of problem:
Attempted to run gpart on the contents of a LUKS partition

Version-Release number of selected component:
gpart-0.2.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gpart -v /dev/mapper/luks-854657c3-3ec5-4a09-9357-e004c4839038
crash_function: disk_geometry
executable:     /usr/bin/gpart
kernel:         3.19.8-100.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0
var_log_messages: [System Logs]:\n-- Logs begin at Sun 2015-04-26 08:38:56 BST, end at Sat 2015-08-29 22:49:10 BST. --

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 disk_geometry at disku.c:86
 #1 get_disk_desc at gpart.c:829
Comment 1 Matt Hooper 2015-08-29 17:52:47 EDT
Created attachment 1068324 [details]
File: backtrace
Comment 2 Matt Hooper 2015-08-29 17:52:49 EDT
Created attachment 1068325 [details]
File: cgroup
Comment 3 Matt Hooper 2015-08-29 17:52:50 EDT
Created attachment 1068326 [details]
File: core_backtrace
Comment 4 Matt Hooper 2015-08-29 17:52:51 EDT
Created attachment 1068327 [details]
File: dso_list
Comment 5 Matt Hooper 2015-08-29 17:52:52 EDT
Created attachment 1068328 [details]
File: environ
Comment 6 Matt Hooper 2015-08-29 17:52:53 EDT
Created attachment 1068329 [details]
File: limits
Comment 7 Matt Hooper 2015-08-29 17:52:54 EDT
Created attachment 1068330 [details]
File: maps
Comment 8 Matt Hooper 2015-08-29 17:52:55 EDT
Created attachment 1068331 [details]
File: open_fds
Comment 9 Matt Hooper 2015-08-29 17:52:56 EDT
Created attachment 1068332 [details]
File: proc_pid_status
Comment 10 Jan Kurik 2015-12-22 06:32:03 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.